<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToFactionWork](./bitburner.sleeve.settofactionwork.md)

## Sleeve.setToFactionWork() method

Set a sleeve to work for a faction.

**Signature:**

```typescript
setToFactionWork(
    sleeveNumber: number,
    factionName: string,
    factionWorkType: FactionWorkType | `${FactionWorkType}`,
  ): boolean | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to work for the faction. |
|  factionName | string | Name of the faction to work for. |
|  factionWorkType | [FactionWorkType](./bitburner.factionworktype.md) \| \`${[FactionWorkType](./bitburner.factionworktype.md)<!-- -->}\` | Name of the action to perform for this faction. |

**Returns:**

boolean \| undefined

True if the sleeve started working for this faction, false otherwise. Can also throw on errors.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started working for a faction.

